/*****************************************************************************
 *	Author   :	Andrew Chou
 *
 *	Date     :	February 23, 1996
 *
 *	File     :	memory.h
 *
 *	Descrip. :	Definition of subroutines
 *
 *	Version  :	1.0
 *
 *	System   :	Linux
 *
 *	Update Information:
 *
 *	< Please Enter the kind of update You made >
 *
 ****************************************************************************/

#ifndef _MEMORY_H

#define _MEMORY_H

/* ----- MEMORY.C ----- */
void errmsg() ;			/* Display error mesage */
int **imatrix() ;		/* Allocate memory for integer matrix */
void free_imatrix() ;		/* Release memory of integer matrix */
short **smatrix() ;		/* Allocate memory for short matrix */
void free_smatrix() ;		/* Release memory of short matrix */
char **cmatrix() ;		/* Allocate memory for char matrix */
void free_cmatrix() ;		/* Release memory of char matrix */
unsigned char **ucmatrix() ;	/* Allocate memory for unsigned char matrix */
void free_ucmatrix() ;		/* Release memory of unsigned char matrix */
float **fmatrix() ;		/* Allocate memory for float matrix */
void free_fmatrix() ;		/* Release memory of float matrix */
double **dmatrix() ;		/* Allocate memory for double matrix */
void free_dmatrix() ;		/* Release memory of double matrix */
int *ivector() ;		/* Allocate memory for integer vector */
void free_ivector() ;		/* Release memory of integer vector */
char *cvector() ;		/* Allocate memory for char vector */
void free_cvector() ;		/* Release memory of char vector */
float *fvector() ;		/* Allocate memory for float vector */
void free_fvector() ;		/* Release memory of float vector */
double *dvector() ;		/* Allocate memory for double vector */
void free_dvector() ;		/* Release memory of double vector */

#endif